<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
function check_email($email)
{
  $wyr = "^[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)*";
  $wyr .= "@([a-zA-Z0-9_-]+)(\.[a-zA-Z0-9_-]+)*(\.[a-zA-Z]{2,4})$";
  if(ereg($wyr, $email)){ 
    return true; 
  }
  else{
    return false; 
  }
}
if(check_email("abc@bcd.cef.com"))
  echo "Podany adres ma poprawną składnię.";
else
  echo "Podany adres ma niepoprawną składnię.";
?>